<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Modules\BuyFactor\Http\Controllers\BuyFactorController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/buy-factors',[BuyFactorController::class,'factorList']);
Route::get('/factor/suppliers',[BuyFactorController::class,'suppliersList']);
Route::get('/show/buy-factor/{id}',[BuyFactorController::class,'showFactor']);
Route::delete('/delete/{id}/buy-factor',[BuyFactorController::class,'deleteFactor']);
Route::post('/add/buy-factor',[BuyFactorController::class,'addFactor']);
Route::put('/edit/buy-factor/{id}',[BuyFactorController::class,'editFactor']);
